Odpowiedz 
 
Ocena wątku:
  • 0 Głosów - 0 Średnio
  • 1
  • 2
  • 3
  • 4
  • 5
Instalacja QGIS
24-08-2011, 10:14 PM
Post: #1
Instalacja QGIS
QGIS zwiększył moje zainteresowanie oprogramowaniem Open Source i w końcu nadszedł czas na zainstalowanie Linuksa Smile
Jako początkujący w tym temacie potrzebuję Waszej pomocy. Posiadam Ubuntu Niebiańska Nimfa 11.04.

Oczywiście chciałem zainstalować QGISa. W repozytorium Ubuntu jest tylko wersja 1.4 (przynajmniej tak wynika z opisu) więc w Synapticu dodałem repozytorium http://qgis.org/debian. Przy próbie instalacji pojawił się komunikat o braku klucza. Jako że nigdzie w okienkach nie mogłem znaleźć miejsca (a raczej sposobu) na dodanie klucza wpisałem w terminalu:
gpg --keyserver keyserver.ubuntu.com --recv C2A22E8244865A03
gpg --export --armor C2A22E8244865A03 | sudo apt-key add -

Ostatecznie pojawił się komunikat OK i klucz uwidocznił się też w oknie Synaptica.
Po tych czynnościach zainstalował się QGIS 1.7 (o ile pamiętam to dalej pojawiały się jakieś ostrzeżenia związane z kluczem).

Następnie dodałem repozytorium wersji rozwojowej Quantuma i po aktualizacji pakietów okazało się, że zainstalowała się wersja 1.8, ale nie mam wersji 1.7.

W tej chwili podczas próby aktualizacji pakietów otrzymuję komunikat:
W: Błąd GPG: http://qgis.org natty Release: Następujące podpisy były błędne: KEYEXPIRED 1313318730 KEYEXPIRED 1313318730 KEYEXPIRED 1313318730
W: Błąd GPG: http://qgis.org natty Release: Następujące podpisy nie mogły zostać zweryfikowane z powodu braku klucza publicznego: NO_PUBKEY 1F9ADD375CA44993


Proszę o następujące informacje:
1. Jak wpisać/ustawić odpowiedni klucz aby weryfikacja archiwum odbywała się bez problemów.
2. Jak zainstalować w systemie jednocześnie wersję 1.7 i 1.8 QGIS
Znajdź wszystkie posty użytkownika
Zacytuj ten post w odpowiedzi
06-09-2011, 08:45 AM
Post: #2
RE: Instalacja QGIS
Coś dawno tu nie zaglądałem:
Ad 1.
Kod:
gpg --keyserver keyserver.ubuntu.com --recv 1F9ADD375CA44993
gpg --export --armor 1F9ADD375CA44993 | sudo apt-key add -
sudo aptitude update

Ad 2. Też bym chciał wiedzieć, grzebałem sporo w necie i nie znalazłem rozwiązania, co mnie nieco dziwi. Może jednak ktoś wie?
Znajdź wszystkie posty użytkownika
Zacytuj ten post w odpowiedzi
25-09-2011, 12:24 AM
Post: #3
RE: Instalacja QGIS
Ad2. Z paczek się nie da, ale można przy samodzielnej kompilacji.

Borys Jurgiel
Zespół Rozwojowy QGIS
Odwiedź stronę użytkownika Znajdź wszystkie posty użytkownika
Zacytuj ten post w odpowiedzi
Odpowiedz 


Skocz do: